#
# spec file for package python-psycopg2cffi
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-psycopg2cffi
Version:        2.9.0
Release:        3.3
Summary:        Implementation of the psycopg2 module using cffi
License:        LGPL-3.0-or-later
URL:            https://github.com/chtd/psycopg2cffi
Source:         https://files.pythonhosted.org/packages/source/p/psycopg2cffi/psycopg2cffi-%{version}.tar.gz
# PATCH-FEATURE-OPENSUSE allow-rc-versions.patch to allow 15rc2 pg version
Patch:          allow-rc-versions.patch
BuildRequires:  %{python_module devel >= 3.5}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  postgresql-server-devel
BuildRequires:  python-rpm-macros
Requires:       python-cffi >= 1.0
Requires:       python-six
# SECTION test requirements
BuildRequires:  %{python_module cffi >= 1.0}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module six}
# /SECTION
%python_subpackages

%description
This is a implementation of the psycopg2 module using cffi.

%prep
%autosetup -p1 -n psycopg2cffi-%{version}

%build
export CFLAGS="%{optflags}"
%python_build

%install
%python_install
%python_expand rm -r %{buildroot}%{$python_sitearch}/psycopg2cffi/tests
%python_expand %fdupes %{buildroot}%{$python_sitearch}

%check
rm psycopg2cffi/tests/__init__.py
%pytest_arch

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitearch}/psycopg2cffi
%{python_sitearch}/psycopg2cffi-%{version}-py*.egg-info

%changelog
* Sun Jun 11 2023 ecsos <ecsos@opensuse.org>
- Add %%{?sle15_python_module_pythons}
* Fri Oct 14 2022 Daniel Garcia <daniel.garcia@suse.com>
- Add allow-rc-versions.patch to fix build with 15rc2 pg version
* Tue Oct 12 2021 ecsos <ecsos@opensuse.org>
- Update to 2.9.0
  * New features:
  - Add execute_batch and execute_values to psycopg2cffi.extras in #98
  - psycopg2cffi.extras: add fetch argument to execute_values() in #119
  * Bug fixes:
  - Fix for async keyword argument when creating a connection in #104
  - Allow adapters to be passed as arguments of cursor's execute() in #107
  - Fix installation with old cffi by dand-oss in #116
  * Test changes:
  - Dropped support for python 2.6, 3.3, 3.4 in #109
  - Added support for python 3.8 in #108
* Tue Jun  9 2020 Tomáš Chvátal <tchvatal@suse.com>
- Fix dependencies
- Enable tests
* Wed Jun  3 2020 Arun Persaud <arun@gmx.de>
- updated specfile:
  * use pypi source
  * some cleanup
* Wed Apr  1 2020 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v2.8.1
